OpenProject does not install on fresh univention 5.0.2

Hi,

I am unable to install OpenProject from appcenter on a fresh 5.0.2 univention server. No other apps have been installed.

In the /var/log/univention/appcenter.log I can see the script failure, but not really an indication why.

6645 actions.install.container.7f9f 22-10-11 15:26:56 [ DEBUG]: Calling docker exec -u root 7f9fdfa059d4616707803f6b804f21502324a33b64049a432ea0a1803401bae4 /usr/share/univention-docker-container-mode/setup_custom --username Administrator --password-file /var/univention/tmp/tmpld17l_n_ --error-file /var/univention/tmp/tmpdyeohkgr --app openproject --app-version 12.2.5
6645 actions.install.container.7f9f 22-10-11 15:27:07 [ WARNING]: /app/config/constants/settings/definition.rb:295:in find_env_var_override': Using unprefixed environment variables is deprecated. Please use OPENPROJECT_RAILS_CACHE_STORE instead of RAILS_CACHE_STORE (StructuredWarnings::StandardWarning) 6645 actions.install.container.7f9f 22-10-11 15:27:13 [ WARNING]: /app/vendor/bundle/ruby/3.1.0/gems/activerecord-7.0.3.1/lib/active_record/railtie.rb:164:in block (3 levels) in class:Railtie’: Ignoring /app/db/schema_cache.yml because it has expired. The current schema version is 0, but the one in the schema cache file is 20220929114423. (StructuredWarnings::StandardWarning)
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: /app/lib/tasks/database.rake:88:in `rescue in block (3 levels) in <top (required)>’:
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: ---------------------------------------------------
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: DATABASE DEPRECATION WARNING
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]:
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: The next major release of OpenProject (v12) will require PostgreSQL 13 or later.
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: You can anticipate this upgrade by updating your database installation by following the guide at Migrating your OpenProject installation to PostgreSQL 13
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: ---------------------------------------------------
6645 actions.install.container.7f9f 22-10-11 15:27:14 [ WARNING]: (StructuredWarnings::StandardWarning)
6645 packages 22-10-11 15:27:16 [ DEBUG]: Releasing LOCK
6645 actions.install 22-10-11 15:27:16 [CRITICAL]: Setup script failed!
6645 actions.install 22-10-11 15:27:16 [ WARNING]: Aborting…
6645 actions.remove 22-10-11 15:27:16 [ DEBUG]: Calling remove

Dear bbn,

I am in the exactly same situation, just 3 months later.

Today I installed a fresh UCS 5.0-2 errata541 instance with the ISO method.
Installing OpenProject still fails.
I got one further line in the appcenter.log that looks quite relevant to me:

Cannot run migrations because another migration process is currently running.

This installation failure seems reproducible, but obviously it does not track any developers attention… :worried:

Seppix

Mastodon